Delete release channel
curl --request DELETE \
--url https://managexrapi.com/v1/apps/{packageName}/release-channels/{releaseChannelId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://managexrapi.com/v1/apps/{packageName}/release-channels/{releaseChannelId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://managexrapi.com/v1/apps/{packageName}/release-channels/{releaseChannelId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 400,
"message": "Release channel with id rc_123 does not match the provided package name com.example.app",
"error": "ManageXR Error"
}{
"statusCode": 403,
"message": "Forbidden",
"error": "ManageXR Error"
}{
"statusCode": 404,
"message": "Release channel with id rc_123 not found",
"error": "ManageXR Error"
}App Versions & Release Channels
Delete Release Channel
Deletes an app release channel. If shared with client organizations, deleting also unshares the release channel.
DELETE
/
v1
/
apps
/
{packageName}
/
release-channels
/
{releaseChannelId}
Delete release channel
Authorizations
API key based authentication where is the Base64 encoding of API_KEY_ID:API_KEY_SECRET
- Username: The API Key ID.
- Password: The API Key Secret.
Path Parameters
Package name of the app
Unique identifier of the release channel
Query Parameters
Unique identifier of the organization. This parameter is only necessary when using multi-organization API keys.
Defaults to the organizationId associated with the API key.
Response
Release channel deleted successfully
⌘I